* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  
  word-wrap: break-word;
  overflow-wrap: break-word;

-webkit-hyphens: auto;
   -moz-hyphens: auto;
        hyphens: auto;
}

body {
  background: black;
  color: white;
  font-size: 2rem;
  line-height: 1.3;
  font-family: sans-serif;

  main {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100svh;
    gap: 25svh;
    padding: 1rem;

    p {
      max-width: 50ch;
    }

    a {
      color: inherit;
      text-decoration-color: #757575;
    }

    > section {
      display: flex;
      flex-direction: column;
      gap: 1rem;

      > h2 {
        margin-top: 2rem;
      }

      > a {
        color: inherit;
        text-decoration: none;
        opacity: 0.5;
        font-weight: 600;
      }

      > ul,
      > ol {
        padding-left: 2rem;

        & > li {
          padding-left: 1rem;
          margin-bottom: 1rem;
        }
      }

      ol > li > ol {
        list-style: lower-latin;

        &:first-child {
          margin-top: 1rem;
        }

        &:last-child {
          margin-bottom: 1rem;
        }
      }

      img {
        max-width: 100%;
        max-height: 80vh;
      }
    }

    > section > ul {
      list-style: none;
      padding: 0;
      margin: 0;
      display: flex;
      flex-direction: column;
      gap: 0.5rem;

      @media (max-width: 600px) {
        gap: 1rem;
      }

      a {
        display: contents;
        color: inherit;
        text-decoration: none;

        li {
          display: flex;
          align-items: center;
          gap: 0.5rem;
          hyphens: auto;

          & > div {
            display: flex;
            align-items: center;
            gap: 0.5rem;
          }

          @media (max-width: 600px) {
            flex-direction: column;
            align-items: flex-start;
            gap: 0.25rem;
          }

          span,
          svg {
            opacity: 0.5;
          }

          &:hover {
            span,
            svg {
              opacity: 1;
            }
          }
        }
      }
    }

    h1,
    ul > a > li {
      font-size: 2rem;
      color: white;
    }
  }

  footer {
    padding: 1rem;

    a {
      display: contents;
      color: inherit;
      text-decoration: none;

      li {
        opacity: 0.5;
      }
    }

    p {
      &:first-of-type {
        margin-top: 2rem;
      }

      opacity: 0.5;
      font-size: 1.5rem;
    }
  }
}

.grid {
  --columns: 12;
  --gutter: 3rem;
  display: grid;
  grid-gap: var(--gutter);
  grid-template-columns: 1fr;
}

.grid > .column {
  margin-bottom: var(--gutter);
}

.video,
.img {
  position: relative;
  display: block;
  --w: 1;
  --h: 1;
  padding-bottom: calc(100% / var(--w) * var(--h));
  background: var(--color-black);
}

.img img,
.video iframe {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border: 0;
}

.img[data-contain] img {
  object-fit: contain;
}

.img-caption,
.video-caption {
  padding-top: 0.75rem;
  line-height: 1.5em;
}
